Subject: [bug#64958] [PATCH] gnu: Add emacs-chatgpt-shell.

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 01 Aug 2023 12:02:42 +0200

Hello,

Liliana Marie Prikler <[email-masked]> writes:

> Am Sonntag, dem 30.07.2023 um 22:51 +0200 schrieb Wojtek Kosior:
>> Hi!
>> 
>> > * gnu/packages/emacs-xyz.scm (emacs-chatgpt-shell): New variable.
>> 
>> Doesn't this package effectively recommend a nonfree
>> service-as-a-software-substitute? It'd be better to keep users away
>> from such "services". Also, sorry to say, I'm pretty sure this is
>> against the Free Software Distribution Guidelines
> IANAL, but as far as I understand, having clients for various
> "services" out there, even if those services are not distributed as
> free software, is permissible.

I also think so. In particular, this is not a SaaSS because there is no
software to substitute in the first place.

> IMHO, we would need a clear guideline for all of them rather than
> singling out ChatGPT even if using it is harmful for everyone
> involved.
>
> Nicolas, Andrew, WDYT?

I think a clear rule is important, and my opinion is that it should be
permissive. These clients are useful pieces of software, if only because
they constitute an opportunity to learn code.

Regards,
-- 
Nicolas Goaziou